@charset "UTF-8";
@import url("../vendor/css/light.min.css");
@import url("../vendor/fontawesome/css/all.css");
div.column {
  display: inline-block;
  vertical-align: top;
  width: 50%;
}

div.css-columns {
  column-count: 2;
  column-gap: var(--margin-columns);
  column-rule-style: none;
}

div.box {
  break-inside: avoid-column;
}

div.multi-column-row {
  display: flex;
  flex-flow: row nowrap;
  margin-bottom: var(--margin-bottom-columns);
}

div.multi-column-row div.column {
  position: relative;
  flex: 1 1 0;
  margin-left: var(--margin-columns);
  margin-right: var(--margin-columns);
}

div.multi-column-row div.column:first-child {
  margin-left: 0;
  margin-right: var(--margin-columns);
}

div.multi-column-row div.column:last-child {
  margin-left: var(--margin-columns);
  margin-right: 0;
}

div.multi-column-row div.column .mid {
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
}

div.multi-column-row div.column[data-grow="1"] {
  flex-grow: 1;
}

div.multi-column-row div.column[data-grow="2"] {
  flex-grow: 2;
}

div.multi-column-row div.column[data-grow="3"] {
  flex-grow: 3;
}

div.multi-column-row div.column[data-grow="4"] {
  flex-grow: 4;
}

div.multi-column-row div.column[data-grow="5"] {
  flex-grow: 5;
}

div.multi-column-row div.column[data-grow="6"] {
  flex-grow: 6;
}

div.multi-column-row div.column[data-grow="7"] {
  flex-grow: 7;
}

div.multi-column-row div.column[data-grow="8"] {
  flex-grow: 8;
}

div.multi-column-row div.column[data-grow="9"] {
  flex-grow: 9;
}

div.single-column-row {
  margin-bottom: var(--margin-bottom-columns);
}

/*
 *Required CSS for the new media filters. Adopted to Mario's semantic with
 *further fine-tuning
 */
div.decker.image.error {
  font-size: 20pt;
  background-color: #fee;
  border: 0.1em solid darkred;
  padding: 1em;
}

div.decker.image.error .message {
  font-style: italic;
  margin-left: 20px;
}

div.decker.image.error pre.markup {
  width: 100%;
  margin-left: 20px;
}

div.decker.image.error pre.markup code.markup {
  font-family: "Source Code Pro", monospace;
  font-size: 18pt;
  line-height: 1.4;
  color: black;
}

img.decker,
video.decker {
  display: inline-block;
  /* remove the following two lines to get sizing of 
       * rendered code block sizing working */
  /*width: auto;*/
  /*height: auto;*/
  object-fit: contain;
  max-width: 100%;
  max-height: 100%;
  vertical-align: middle;
  margin: auto;
  border: 0px;
  box-shadow: none;
}

iframe.decker {
  border: 1px solid lightgray;
  outline: none;
  overflow: hidden;
  max-width: 100%;
  max-height: 100%;
  vertical-align: middle;
}

figure.decker,
div.nofigure {
  display: inline-block;
}

figure.decker > img.decker,
figure.decker > video.decker,
figure.decker > iframe.decker,
div.nofigure > img.decker,
div.nofigure > video.decker,
div.nofigure > iframe.decker {
  margin: auto;
  border: 0px;
  box-shadow: none;
  max-width: 100%;
  max-height: 100%;
}

figure.decker figcaption.decker {
  margin: 0px 0px 0px 0px;
  line-height: 1.2;
  font-style: italic;
  font-size: 0.8em;
  text-align: center;
}

object.decker {
  max-width: 100%;
  max-height: 100%;
}

figure.decker > object.decker {
  width: 100%;
}

div.image-row {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  width: 100%;
}

div.image-row div {
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
}

div.image-row img {
  display: block;
}

header > h1 {
  font-size: 2em;
}

body > h1:first-of-type {
  font-size: 1.75em;
}

h1 {
  font-size: 1.5em;
}

h2 {
  font-size: 1.25em;
}

h3,
h4,
h5,
h6 {
  font-size: 1em;
}

header h1 {
  margin-bottom: 0;
}

header h2 {
  margin-top: 0;
  color: var(--muted);
}

header nav {
  margin-bottom: 0.5rem;
}

header {
  background: var(--background-alt);
  border-bottom: 1px solid var(--border);
  padding: 2rem 1.5rem;
  /* This sets the right and left margins to cancel out the body's margins. It's width is still the same, but the background stretches across the page's width. */
  margin: -2rem calc(0px - (50vw - 50%)) 2rem;
  /* Shorthand for:
	margin-top: -2rem;
	margin-bottom: 2rem;
	margin-left: calc(0px - (50vw - 50%));
	margin-right: calc(0px - (50vw - 50%)); */
  padding-left: calc(50vw - 50%);
  padding-right: calc(50vw - 50%);
}

header h1,
header h2,
header h3 {
  padding-bottom: 0;
  border-bottom: 0;
}

header > *:first-child {
  margin-top: 0;
  padding-top: 0;
}

header > *:last-child {
  margin-bottom: 0;
}

::-webkit-scrollbar {
  display: none;
}

body {
  -webkit-print-color-adjust: exact;
}

.slide .slide-wrapper {
  clear: both;
  display: inline-block;
  width: 100%;
}

.slide .slide-wrapper .qic div.tooltip,
.slide .slide-wrapper .qic button.solutionButton,
.slide .slide-wrapper .qic button.resetButton,
.slide .slide-wrapper .qft div.tooltip,
.slide .slide-wrapper .qft button.solutionButton,
.slide .slide-wrapper .qft button.resetButton,
.slide .slide-wrapper .qmc div.tooltip,
.slide .slide-wrapper .qmc button.solutionButton,
.slide .slide-wrapper .qmc button.resetButton,
.slide .slide-wrapper .qmi div.tooltip,
.slide .slide-wrapper .qmi button.solutionButton,
.slide .slide-wrapper .qmi button.resetButton,
.slide .slide-wrapper [class*="quiz-"] div.tooltip,
.slide .slide-wrapper [class*="quiz-"] button.solutionButton,
.slide .slide-wrapper [class*="quiz-"] button.resetButton {
  display: none;
}

.slide .slide-wrapper .qic ul.choices,
.slide .slide-wrapper .qic ul.solutionList,
.slide .slide-wrapper .qft ul.choices,
.slide .slide-wrapper .qft ul.solutionList,
.slide .slide-wrapper .qmc ul.choices,
.slide .slide-wrapper .qmc ul.solutionList,
.slide .slide-wrapper .qmi ul.choices,
.slide .slide-wrapper .qmi ul.solutionList,
.slide .slide-wrapper [class*="quiz-"] ul.choices,
.slide .slide-wrapper [class*="quiz-"] ul.solutionList {
  list-style-type: none;
}

.slide .slide-wrapper .qic ul.choices li::before,
.slide .slide-wrapper .qic ul.solutionList li::before,
.slide .slide-wrapper .qft ul.choices li::before,
.slide .slide-wrapper .qft ul.solutionList li::before,
.slide .slide-wrapper .qmc ul.choices li::before,
.slide .slide-wrapper .qmc ul.solutionList li::before,
.slide .slide-wrapper .qmi ul.choices li::before,
.slide .slide-wrapper .qmi ul.solutionList li::before,
.slide .slide-wrapper [class*="quiz-"] ul.choices li::before,
.slide .slide-wrapper [class*="quiz-"] ul.solutionList li::before {
  content: "○ ";
}

.slide .slide-wrapper .qmc.inline li,
.slide .slide-wrapper .quiz-mc.inline li,
.slide .slide-wrapper .quiz-multiple-choice.inline li {
  padding: 0.1em 0.7em 0.1em 0;
  display: inline;
}

.slide .slide-wrapper .qft ul.solutionList,
.slide .slide-wrapper [class*="quiz-f"] ul.solutionList {
  display: none;
}

.slide .slide-wrapper .qft input::placeholder,
.slide .slide-wrapper [class*="quiz-f"] input::placeholder {
  color: #161f27;
}

.slide .slide-wrapper .qic select,
.slide .slide-wrapper [class*="quiz-i"] select {
  display: none;
}

.slide .slide-wrapper .qmi .matchDiv,
.slide .slide-wrapper .quiz-mi .matchDiv,
.slide .slide-wrapper .quiz-match-items .matchDiv {
  display: flex;
  flex-direction: row-reverse;
  justify-content: flex-end;
}

.slide .slide-wrapper .qmi .matchItems,
.slide .slide-wrapper .quiz-mi .matchItems,
.slide .slide-wrapper .quiz-match-items .matchItems {
  float: right;
}

.slide .slide-wrapper .qmi.plain .matchDiv,
.slide .slide-wrapper .quiz-mi.plain .matchDiv,
.slide .slide-wrapper .quiz-match-items.plain .matchDiv {
  flex-direction: row;
  justify-content: initial;
}

.slide .slide-wrapper .qmi.plain .matchItems,
.slide .slide-wrapper .qmi.plain .matchQuestion,
.slide .slide-wrapper .quiz-mi.plain .matchItems,
.slide .slide-wrapper .quiz-mi.plain .matchQuestion,
.slide .slide-wrapper .quiz-match-items.plain .matchItems,
.slide .slide-wrapper .quiz-match-items.plain .matchQuestion {
  display: flex;
}

.slide .slide-wrapper .qmi.plain .matchDiv,
.slide .slide-wrapper .qmi.plain .matchQuestion,
.slide .slide-wrapper .quiz-mi.plain .matchDiv,
.slide .slide-wrapper .quiz-mi.plain .matchQuestion,
.slide .slide-wrapper .quiz-match-items.plain .matchDiv,
.slide .slide-wrapper .quiz-match-items.plain .matchQuestion {
  justify-content: space-between;
}

.slide .slide-wrapper .qmi.plain .matchQuestion,
.slide .slide-wrapper .quiz-mi.plain .matchQuestion,
.slide .slide-wrapper .quiz-match-items.plain .matchQuestion {
  margin-bottom: 0.5em;
}

.slide .slide-wrapper .qmi.plain .matchItems,
.slide .slide-wrapper .quiz-mi.plain .matchItems,
.slide .slide-wrapper .quiz-match-items.plain .matchItems {
  flex-direction: column;
  flex-wrap: nowrap;
  margin-right: 5em;
  max-width: 65%;
}

.slide .slide-wrapper .qmi.plain .optList,
.slide .slide-wrapper .qmi.plain .options,
.slide .slide-wrapper .quiz-mi.plain .optList,
.slide .slide-wrapper .quiz-mi.plain .options,
.slide .slide-wrapper .quiz-match-items.plain .optList,
.slide .slide-wrapper .quiz-match-items.plain .options {
  display: none;
}

.slide .slide-wrapper .qmi.plain .matchItem,
.slide .slide-wrapper .qmi.plain .bucket,
.slide .slide-wrapper .quiz-mi.plain .matchItem,
.slide .slide-wrapper .quiz-mi.plain .bucket,
.slide .slide-wrapper .quiz-match-items.plain .matchItem,
.slide .slide-wrapper .quiz-match-items.plain .bucket {
  padding-bottom: 0.5em;
}

.slide .slide-wrapper .qmi.plain .matchItem img,
.slide .slide-wrapper .quiz-mi.plain .matchItem img,
.slide .slide-wrapper .quiz-match-items.plain .matchItem img {
  max-width: 50%;
}
